Subject: Re: linux-next: manual merge of the generic-ioremap tree with the net-next tree

From: Kalle Valo <[email-masked]>
Date: Wed, 29 Jan 2020 16:24:22 +0200

Stephen Rothwell <[email-masked]> writes:

> Hi all,
>
> On Tue, 28 Jan 2020 09:54:49 +1100 Stephen Rothwell <[email-masked]> wrote:
>>
>> On Thu, 9 Jan 2020 16:12:02 +1100 Stephen Rothwell <[email-masked]> wrote:
>> > 
>> > Today's linux-next merge of the generic-ioremap tree got a conflict in:
>> > 
>> >   drivers/net/ethernet/sfc/efx.c
>> > 
>> > between commit:
>> > 
>> >   f1826756b499 ("sfc: move struct init and fini code")
>> > 
>> > from the net-next tree and commit:
>> > 
>> >   4bdc0d676a64 ("remove ioremap_nocache and devm_ioremap_nocache")
>> > 
>> > from the generic-ioremap tree.
>> > 
>> > I fixed it up (the latter moved the code, so I applied the following
>> > merge fix patch) and can carry the fix as necessary. This is now fixed
>> > as far as linux-next is concerned, but any non trivial conflicts should
>> > be mentioned to your upstream maintainer when your tree is submitted
>> > for merging.  You may also want to consider cooperating with the
>> > maintainer of the conflicting tree to minimise any particularly complex
>> > conflicts.
>> > 
>> > From: Stephen Rothwell <[email-masked]>
>> > Date: Thu, 9 Jan 2020 16:08:52 +1100
>> > Subject: [PATCH] fix up for "sfc: move struct init and fini code"
>> > 
>> > Signed-off-by: Stephen Rothwell <[email-masked]>
>> > ---
>> >  drivers/net/ethernet/sfc/efx_common.c | 2 +-
>> >  1 file changed, 1 insertion(+), 1 deletion(-)
>> > 
>> > diff --git a/drivers/net/ethernet/sfc/efx_common.c b/drivers/net/ethernet/sfc/efx_common.c
>> > index fe74c66c8ec6..bf0126633c25 100644
>> > --- a/drivers/net/ethernet/sfc/efx_common.c
>> > +++ b/drivers/net/ethernet/sfc/efx_common.c
>> > @@ -954,7 +954,7 @@ int efx_init_io(struct efx_nic *efx, int bar, dma_addr_t dma_mask,
>> >  		goto fail3;
>> >  	}
>> >  
>> > -	efx->membase = ioremap_nocache(efx->membase_phys, mem_map_size);
>> > +	efx->membase = ioremap(efx->membase_phys, mem_map_size);
>> >  	if (!efx->membase) {
>> >  		netif_err(efx, probe, efx->net_dev,
>> >  			  "could not map memory BAR at %llx+%x\n",
>> > -- 
>> > 2.24.0  
>> 
>> This is now a conflict between the net-next tree and Linus' tree.
>
> It actually turns out that this is a conflict between the
> wireless-drivers tree and Linus' tree since the wireless-drivers tree
> has merged most of the net-next tree.

Yeah, I fast forwarded wireless-drivers to top of net-next so that I can
easily apply fixes and send them to Dave later this week. But as I don't
touch drivers/net/ethernet I don't think there's nothing I can do to fix
this conflict.

-- 
https://wireless.wiki.kernel.org/en/developers/documentation/submittingpatches